#!/bin/bash
echo "Welcome!"

version="1.1.0"
registryPass="***REMOVED***"

echo "Create docker image with version $version."
docker image build -t "network-resurrector-frontend:$version" .

echo "Tag docker image with registry prefix."
docker tag network-resurrector-frontend:$version alpine-nexus:8500/network-resurrector/network-resurrector-frontend:$version

echo "Login to alpine-nexus registry."
docker login --username=admin --password=$registryPass alpine-nexus:8500

echo "Push image network-resurrector-frontend:$version to registry."
docker push alpine-nexus:8500/network-resurrector/network-resurrector-frontend:$version

echo "DONE!"